Subject: Re: [lemonade] Lack of text after resp-text-code

From: Dan Karp <[email-masked]>
Date: Mon, 7 Sep 2009 07:43:07 -0700 (PDT)

> > resp-text       = ["[" resp-text-code "]" SP] text
> > text            = 1*TEXT-CHAR
> 
> > So there should always be some text if resp-text-code is used.
> 
> Hmmm. I'd say that RFC 3501 was broken, then.
> There's no reason to require text, there, after all, and (as far as I 
> can tell) all implementations deal with missing text.

The RFC requires it, and there are indeed some clients that cannot
retrieve mail from noncompliant servers.  PGP Desktop 9.7.0 is one.

(Why do I know this?  Somebody opened this bug against us back in
early 2008: http://bugzilla.zimbra.com/show_bug.cgi?id=23485)